Bug 81913 - SMTP-AUTH Unconfigurable with Postfix and SASL
SMTP-AUTH Unconfigurable with Postfix and SASL
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-14 22:25 EST by Peter Luttrell
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 15:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Luttrell 2003-01-14 22:25:27 EST
From Bugzilla Helper:User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/51 (like Gecko) Safari/51Description of problem:I have installed everything in the Redhat8.0 install and nothing else.I have switched my mail transfer agent to Postfix. I have successfully configured Postfix to send and recieve mail.I would like to configure postfix to authentication SMTP sessions. While there is no mention of how to do this on your website, i have deduced the following from others, but it simply does not work. All sites that I have looked at indicate that it should work but it does not. This leads me to beleive that you have done something to the build of postfix or sasl in your distribution that causes this not to work. Could you let me know what?Version-Release number of selected component (if applicable):How reproducible:AlwaysSteps to Reproduce:I have installed everything in the Redhat8.0 install and nothing else.I have switched my mail transfer agent to Postfix. I have successfully configured Postfix to send and recieve mail.I would like to configure postfix to authentication SMTP sessions. While there is no mention of how to do this on your website, i have deduced the following from others, but it simply does not work. All sites that I have looked at indicate that it should work but it does not. This leads me to beleive that you have done something to the build of postfix or sasl in your distribution that causes this not to work. Could you let me know what?Here is what I have done:edited:	 /etc/postfix/main.cfadded:	smtpd_sasl_auth_enable = yes 	smtpd_sasl_security_options = noanonymous 	smtpd_sasl_local_domain = $myhostname 	broken_sasl_auth_clients = yes 	smtpd_recipient_restrictions =    permit_sasl_authenticated,  permit_mynetworks, check_relay_domains edited:	/usr/lib/sasl/smtpd.conf set contents to:	pwcheck_method:sasldbcreated a sasldb and added usercd /usr/sbinsaslpasswd -c -u <the host name of my mailserver> -a smtpauth <myusername>i've also tried smtpd and smtp instead of smtpauthinteresting the first time this app is run, it fails with this error: "saslpasswd: generic failure", but i run it again and it is fine!confirmed that the users are created with: ./sasldblistusersset permissions for the /etc/sasldbcd /etcchown postfix sasldbrestarted postfix with	# service postfix restartand then tried configuring my mail client Outlook XP and Apples Mail.app and neither can authenticate properly. It rejects the username/password.the log just says authentication failed.i would much rather use pam or shadow instead of sasl, but neither of which worked..Actual Results:  authentication failed.Expected Results:  authentication success.Additional info:
Comment 1 Chris Ricker 2003-05-20 00:58:58 EDT
Man, that's difficult to read.

You almost have it configured right. The basic problem is that in RHL 8.0, most
postfix daemons are chrooted, so you need sasldb in /var/spool/postfix, not in /etc

See /usr/share/doc/postfix-*/README-Postifx-SASL-RedHat.txt if you need more
detailed pointers....
Comment 2 John Dennis 2003-06-12 15:15:35 EDT
I have updated the postfix rpm, in a few days postfix-2.0.11 should appear in
rawhide. I also added documentation in the below file on configuring authentication.

/usr/share/doc/postfix-*/README-Postfix-SASL-RedHat.txt

You may want to note the new postfix rpm now requires sasl v2, this may mean you
will need to update other packages as well.

You may also wish to note this bug is closely related to bug 90412.

Note You need to log in before you can comment on or make changes to this bug.